Skip to main content
POST
/
v5
/
mileage
/
car
Save a car
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/mileage/car \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "car": {
    "name": "<string>",
    "id": 123,
    "make": "<string>",
    "model": "<string>",
    "year": 123,
    "isPrimary": true,
    "status": "ACTIVE",
    "details": [
      {
        "year": 123,
        "beginOdometer": 123
      }
    ]
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

car object

car
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object